### Function

# PangoCairo FontMap new_for_font_type

since: 1.18

#### Declaration [src]

    PangoFontMap*
    pango_cairo_font_map_new_for_font_type (
      cairo_font_type_t fonttype
    )

#### Description [src]

Creates a new `PangoCairoFontMap` object of the type suitable to be used with cairo font backend of type `fonttype`.

In most cases one should simply use `pango_cairo_font_map_new()`, or in fact in most of those cases, just use `pango_cairo_font_map_get_default()`.

Available since: 1.18

#### Parameters

`fonttype`

  Type: `cairo_font_type_t`

  Desired #cairo_font_type_t.

#### Return value

Type: `PangoFontMap`

The newly allocated `PangoFontMap` of suitable type which should be freed with g_object_unref(), or `NULL` if the requested cairo font backend is not supported / compiled in.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.